- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Attributes

# MediaController Class Reference

Search for all occurrences

## Detailed Description

Controls optional features of a media file/device like title, chapter, angle.

Author:
  Matthias Kretz <kretz@kde.org>

Definition at line 48 of file mediacontroller.h.

`#include <Phonon/MediaController>`

Inheritance diagram for MediaController:
[legend]

List of all members.

## Public Types
enum | Feature { Angles = 1, Chapters = 2, Titles = 4 }
## Public Slots
void | setCurrentAngle (int angleNumber)
void | setCurrentChapter (int chapterNumber)
void | setCurrentTitle (int titleNumber)
| Skips to the given title `titleNumber`.
void | setAutoplayTitles (bool)
void | nextTitle ()
| Skips to the next title.
void | previousTitle ()
| Skips to the previous title.
## Signals
void | availableSubtitlesChanged ()
void | availableAudioChannelsChanged ()
void | availableAnglesChanged (int availableAngles)
void | angleChanged (int angleNumber)
void | availableChaptersChanged (int availableChapters)
void | chapterChanged (int chapterNumber)
void | availableTitlesChanged (int availableTitles)
void | titleChanged (int titleNumber)
## Public Member Functions
| MediaController (MediaObject *parent)
| ~MediaController ()
Features | supportedFeatures () const
int | availableAngles () const
int | currentAngle () const
int | availableChapters () const
int | currentChapter () const
int | availableTitles () const
int | currentTitle () const
bool | autoplayTitles () const
AudioChannelDescription | currentAudioChannel () const
| Returns the selected audio stream.
SubtitleDescription | currentSubtitle () const
| Returns the selected subtitle stream.
QList< AudioChannelDescription > | availableAudioChannels () const
| Returns the audio streams that can be selected by the user.
QList< SubtitleDescription > | availableSubtitles () const
| Returns the subtitle streams that can be selected by the user.
void | setCurrentAudioChannel (const Phonon::AudioChannelDescription &stream)
| Selects an audio stream from the media.
void | setCurrentSubtitle (const Phonon::SubtitleDescription &stream)
| Selects a subtitle stream from the media.
## Protected Attributes
MediaControllerPrivate *const | d

## Member Enumeration Documentation

enum Feature

Search for all occurrences

Enumerator:

  Angles | Search for all occurrences
  Chapters | Search for all occurrences
  Titles | Search for all occurrences

Definition at line 53 of file mediacontroller.h.

                         {
                Angles = 1,
                Chapters = 2,
                Titles = 4
            };

## Constructor & Destructor Documentation

MediaController | ( | MediaObject * | parent | ) |

~MediaController | ( |  | ) |

## Member Function Documentation

Features supportedFeatures | ( |  | ) | const

Search for all occurrences

int availableAngles | ( |  | ) | const

Search for all occurrences

int currentAngle | ( |  | ) | const

Search for all occurrences

int availableChapters | ( |  | ) | const

Search for all occurrences

int currentChapter | ( |  | ) | const

Search for all occurrences

int availableTitles | ( |  | ) | const

Search for all occurrences

int currentTitle | ( |  | ) | const

Search for all occurrences

bool autoplayTitles | ( |  | ) | const

Search for all occurrences

AudioChannelDescription currentAudioChannel | ( |  | ) | const

Search for all occurrences

Returns the selected audio stream.

See also:
  availableAudioChannels
  setCurrentAudioChannel

SubtitleDescription currentSubtitle | ( |  | ) | const

Search for all occurrences

Returns the selected subtitle stream.

See also:
  availableSubtitles
  setCurrentSubtitle

QList<AudioChannelDescription> availableAudioChannels | ( |  | ) | const

Search for all occurrences

Returns the audio streams that can be selected by the user.

The strings can directly be used in the user interface.

See also:
  selectedAudioChannel
  setCurrentAudioChannel

QList<SubtitleDescription> availableSubtitles | ( |  | ) | const

Search for all occurrences

Returns the subtitle streams that can be selected by the user.

The strings can directly be used in the user interface.

See also:
  selectedSubtitle
  setCurrentSubtitle

void setCurrentAudioChannel | ( | const Phonon::AudioChannelDescription & | stream | ) |

Search for all occurrences

Selects an audio stream from the media.

Some media formats allow multiple audio streams to be stored in the same file. Normally only one should be played back.

Parameters:

  stream | Description of an audio stream

See also:
  availableAudioChannels()
  currentAudioChannel()

void setCurrentSubtitle | ( | const Phonon::SubtitleDescription & | stream | ) |

Search for all occurrences

Selects a subtitle stream from the media.

Some media formats allow multiple subtitle streams to be stored in the same file. Normally only one should be displayed.

Parameters:

  stream | description of a subtitle stream

See also:
  availableSubtitles()
  currentSubtitle()

void setCurrentAngle | ( | int | angleNumber | ) | `[slot]`

Search for all occurrences

void setCurrentChapter | ( | int | chapterNumber | ) | `[slot]`

Search for all occurrences

void setCurrentTitle | ( | int | titleNumber | ) | `[slot]`

Search for all occurrences

Skips to the given title `titleNumber`.

If it was playing before the title change it will start playback on the new title if autoplayTitles is enabled.

void setAutoplayTitles | ( | bool |  | ) | `[slot]`

Search for all occurrences

void nextTitle | ( |  | ) | `[slot]`

Search for all occurrences

Skips to the next title.

If it was playing before the title change it will start playback on the next title if autoplayTitles is enabled.

void previousTitle | ( |  | ) | `[slot]`

Search for all occurrences

Skips to the previous title.

If it was playing before the title change it will start playback on the previous title if autoplayTitles is enabled.

void availableSubtitlesChanged | ( |  | ) | `[signal]`

Search for all occurrences

void availableAudioChannelsChanged | ( |  | ) | `[signal]`

Search for all occurrences

void availableAnglesChanged | ( | int | availableAngles | ) | `[signal]`

Search for all occurrences

void angleChanged | ( | int | angleNumber | ) | `[signal]`

Search for all occurrences

void availableChaptersChanged | ( | int | availableChapters | ) | `[signal]`

Search for all occurrences

void chapterChanged | ( | int | chapterNumber | ) | `[signal]`

Search for all occurrences

void availableTitlesChanged | ( | int | availableTitles | ) | `[signal]`

Search for all occurrences

void titleChanged | ( | int | titleNumber | ) | `[signal]`

Search for all occurrences

## Member Data Documentation

MediaControllerPrivate* const d `[protected]`

Search for all occurrences

Definition at line 176 of file mediacontroller.h.

The documentation for this class was generated from the following file:

- phonon/mediacontroller.h

MediaController MediaController MediaController MediaController MediaController MediaController MediaController MediaController MediaController MediaController
MediaController MediaController MediaController MediaController MediaController MediaController MediaController MediaController MediaController MediaController